	<div class="blockform">
		<h2><span>Add/remove/edit categories</span></h2>
		<div class="box">
		<form method="post" action="<%= url_for :action => 'index' %>">
			<div class="inform">
				<fieldset>
					<legend>Add/delete categories</legend>
					<div class="infldset">
						<table class="aligntop" cellspacing="0">
							<tr>
								<th scope="row">Add a new category<div><input type="submit" name="add_cat" value="Add New" tabindex="2" /></div></th>
								<td>
									<input type="text" name="category[cat_name]" size="35" maxlength="80" tabindex="1" />
									<span>The name of the new category you want to add. You can edit the name of the category later (see below).Go to <a href="<%= url_for :action => 'forums' %>">Forums</a> to add forums to your new category.</span>
								</td>
							</tr>
<% if @categories.length > 0 -%>
							<tr>
								<th scope="row">Delete a category<div><input type="submit" name="del_cat" value="Delete" tabindex="4" /></div></th>
								<td>
									<select name="cat_to_delete" tabindex="3">
<% for cat in @categories -%>
										<option value="<%=h cat.id %>"><%=h cat.cat_name %></option>
<% end -%>
									</select>
									<span>Select the name of the category you want to delete. You will be asked to confirm your choice of category for deletion before it is deleted.</span>
								</td>
							</tr>
<% end -%>
						</table>
					</div>
				</fieldset>
			</div>
<% if @categories.length > 0 -%>
			<div class="inform">
				<fieldset>
					<legend>Edit categories</legend>
					<div class="infldset">
						<table id="categoryedit" cellspacing="0" >
						<thead>
							<tr>
								<th class="tcl" scope="col">Name</th>
								<th scope="col">Position</th>
								<th>&nbsp;</th>
							</tr>
						</thead>
						<tbody>
<% for cat in @categories -%>
							<tr><td><input type="text" name="cat[<%= cat.id %>][cat_name]" value="<%=h cat.cat_name %>" size="35" maxlength="80" /></td><td><input type="text" name="cat[<%= cat.id %>][disp_position]" value="<%= cat.disp_position %>" size="3" maxlength="3" /></td><td>&nbsp;</td></tr>
<% end -%>
						</tbody>
						</table>
						<div class="fsetsubmit"><input type="submit" name="update" value="Update" /></div>
					</div>
				</fieldset>
			</div>
<% end -%>
		</form>
		</div>
	</div>
	<div class="clearer"></div>
</div>
